FileSystemResourceLoader (Grails 5.2.5)

Package: org.grails.io.support

## [Java] Class FileSystemResourceLoader

- org.grails.io.support.FileSystemResourceLoader

-     public class FileSystemResourceLoader
      extends org.springframework.core.io.DefaultResourceLoader

  ResourceLoader implementation that resolves plain paths as file system resources rather than as class path resources (the latter is DefaultResourceLoader's default strategy).

  NOTE: Plain paths will always be interpreted as relative to the current VM working directory, even if they start with a slash. (This is consistent with the semantics in a Servlet container.) Use an explicit "file:" prefix to enforce an absolute file path. is a full-fledged ApplicationContext implementation that provides the same resource path resolution strategy.

  Authors:
    Juergen Hoeller
  Since:
    1.1.3
  See Also:
    DefaultResourceLoader

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `CLASSPATH_URL_PREFIX`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Resource` | `getResourceByPath(java.lang.String path)` Resolve resource paths as file system paths.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `org.springframework.core.io.DefaultResourceLoader#addProtocolResolver(org.springframework.core.io.ProtocolResolver), org.springframework.core.io.DefaultResourceLoader#getProtocolResolvers(), org.springframework.core.io.DefaultResourceLoader#clearResourceCaches(), org.springframework.core.io.DefaultResourceLoader#getResourceCache(java.lang.Class), org.springframework.core.io.DefaultResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.DefaultResourceLoader#getClassLoader(), org.springframework.core.io.DefaultResourceLoader#getResource(java.lang.String), org.springframework.core.io.DefaultResourceLoader#wait(long, int), org.springframework.core.io.DefaultResourceLoader#wait(long), org.springframework.core.io.DefaultResourceLoader#wait(), org.springframework.core.io.DefaultResourceLoader#equals(java.lang.Object), org.springframework.core.io.DefaultResourceLoader#toString(), org.springframework.core.io.DefaultResourceLoader#hashCode(), org.springframework.core.io.DefaultResourceLoader#getClass(), org.springframework.core.io.DefaultResourceLoader#notify(), org.springframework.core.io.DefaultResourceLoader#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected Resource getResourceByPath(java.lang.String path)

      Resolve resource paths as file system paths.

      Note: Even if a given path starts with a slash, it will get interpreted as relative to the current VM working directory.

      Parameters:
        `path` - the path to the resource
      Returns:
        the corresponding Resource handle
      See Also:
        FileSystemResource